ycmd(1)

NAME
ycmd - code-completion and comprehension server

SYNOPSIS
ycmd [-h] [--host HOST] [--port PORT] [--log LOGLEVEL] [--idle_suicide_seconds IDLE_SUICIDE_SECONDS] [--options_file OPTIONS_FILE] [--stdout STDOUT] [--stderr STDERR] [--keep_logfiles]

DESCRIPTION
ycmd is a server that provides APIs for code-completion and other code-comprehension use-cases like semantic GoTo commands (and others). For certain filetypes, ycmd can also provide diagnostic errors and warnings.

OPTIONS

-h, --help
    Print a usage message briefly summarizing these command-line options and the bug-reporting address, then exit.

--host [HOST]
    Listen on specified HOST address (default is localhost if none specified).

--port [PORT]
    Listen on specified TCP PORT number.

--log" [ LOGLEVEL ]
    Log level, one of [ debug | info | warning | error| critical ]

--idle_suicide_seconds [IDLE_SUICIDE_SECONDS]
    IDLE_SUICIDE_SECONDS before server shuts down.

--options_file [OPTIONS_FILE]
    File with user options, in JSON format.

--stdout [STDOUT]
    Optional file to use for stdout.

--stderr [STDERR]
    Optional file to use for stderr.

--keep_logfiles
    Retain logfiles after the server exits.